Bug 52805 - Update to ECJ 3.7.2
Summary: Update to ECJ 3.7.2
Alias: None
Product: Tomcat 6
Classification: Unclassified
Component: Jasper (show other bugs)
Version: 6.0.35
Hardware: PC Windows XP
: P2 enhancement (vote)
Target Milestone: default
Assignee: Tomcat Developers Mailing List
: 52925 (view as bug list)
Depends on:
Reported: 2012-03-01 17:58 UTC by Konstantin Kolinko
Modified: 2012-04-17 21:39 UTC (History)
1 user (show)

2012-03-16_tc6_52805_ecj372.patch (2.97 KB, patch)
2012-03-15 23:57 UTC, Konstantin Kolinko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2012-03-01 17:58:14 UTC
ecj-3.7.2 is available

-> Latest Release -> 3.7.2 -> JDT Core Batch Compiler

It gives:
Comment 1 Konstantin Kolinko 2012-03-15 22:03:12 UTC
*** Bug 52925 has been marked as a duplicate of this bug. ***
Comment 2 Konstantin Kolinko 2012-03-15 23:57:33 UTC
Created attachment 28478 [details]

In 7.0.x it was fixed by r1300573

I am attaching patch for 6.0.x.

A caveat is that the patch updates res/maven/jasper.pom, but I do not see "org.eclipse.jdt.core.compiler" version 3.7.2 being available from Maven Central now [1].

[1] http://search.maven.org/#search|ga|1|g%3A%22org.eclipse.jdt.core.compiler%22
Comment 3 Konstantin Kolinko 2012-03-16 00:23:00 UTC
Patch was proposed for 6.0.x.

Moving the issue to Tomcat 6, because it is already fixed in 7.0.x.
Comment 4 Konstantin Kolinko 2012-04-17 21:39:29 UTC
Applied the patch to 6.0.x in r1327293 - will be in 6.0.36.